Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041629
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2019-08-12 10:372019-12-12 23:01
ReporterAugustoMauchView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revision640df6f887be
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041629: improve javadoc of generated entities: Include help for table and columns

DescriptionJavaDoc generated for DAL entities classes can be improved:

* Include help for table and columns. Note this would increase in-memory model, this information should only be used to generate code but not retained in final model. Also a proper escape would be needed to prevent invalid code.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041988 closedcberner API Change: Removed developmentStatus on Column class used for code generation 
causes defect 0042067 closedcberner Eclipse warnings caused by javadoc changes 

-  Notes
(0115105)
hgbot (developer)
2019-10-16 11:13

Repository: erp/devel/pi
Changeset: 640df6f887be0f091a25bba4177800837297c8fa
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Wed Oct 09 13:42:09 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/640df6f887be0f091a25bba4177800837297c8fa [^]

fixes issue 41629: Include help for table and columns in generated javadoc

Help messages have been added to entities and properties in Javadoc.
For table, help message is shown at the start of the corresponding class.
For column, help message is shown over corresponding property.
If no help message has been added to correpsonding column/table, it is not shown.

---
M src-test/src/org/openbravo/test/model/RuntimeModelTest.java
M src/org/openbravo/base/gen/GenerateEntitiesTask.java
M src/org/openbravo/base/gen/entity.ftl
M src/org/openbravo/base/model/Column.hbm.xml
M src/org/openbravo/base/model/Column.java
M src/org/openbravo/base/model/Entity.java
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/base/model/Property.java
M src/org/openbravo/base/structure/ClientEnabled.java
M src/org/openbravo/base/structure/OrganizationEnabled.java
---
(0115124)
AugustoMauch (developer)
2019-10-16 16:14

Code reviewed and verified
(0116249)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-08-12 10:37 AugustoMauch New Issue
2019-08-12 10:37 AugustoMauch Assigned To => platform
2019-08-12 10:37 AugustoMauch Modules => Core
2019-08-12 10:37 AugustoMauch Triggers an Emergency Pack => No
2019-08-12 10:37 AugustoMauch Issue generated from 0040837
2019-08-12 10:40 AugustoMauch Summary improve javadoc of generated entities => improve javadoc of generated entities: Include help for table and columns
2019-08-12 10:40 AugustoMauch Description Updated View Revisions
2019-08-12 10:40 AugustoMauch Assigned To platform => cberner
2019-08-12 14:20 cberner Status new => scheduled
2019-08-19 14:33 cberner Review Assigned To => AugustoMauch
2019-10-16 11:13 hgbot Checkin
2019-10-16 11:13 hgbot Note Added: 0115105
2019-10-16 11:13 hgbot Status scheduled => resolved
2019-10-16 11:13 hgbot Resolution open => fixed
2019-10-16 11:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/640df6f887be0f091a25bba4177800837297c8fa [^]
2019-10-16 11:14 AugustoMauch Relationship added related to 0041988
2019-10-16 16:14 AugustoMauch Note Added: 0115124
2019-10-16 16:14 AugustoMauch Status resolved => closed
2019-10-16 16:14 AugustoMauch Fixed in Version => 3.0PR20Q1
2019-10-18 12:56 alostale Relationship added causes 0042067
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116249


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker